

Version:	7.2

Release:	173mdk
Summary:	Widgetset for the Linux FrameBuffer device
Name:		WsLib-devel
Copyright:	LGPL
Packager:	RedHog <redhog@mandrakesoft.com>
Group:		System/Libraries
Source:		WsLib.redhog.3.tgz

Patch: WsLib-take_256_chars.patch.bz2
BuildRoot:	/tmp/WsLib-%{version}-root
Prefix:		%{_prefix}
URL:		http://WsLib.mini.dhs.org/
Requires:	AVLTree-devel
Buildrequires:	AVLTree-devel

%description
 WsLib is a widgetset (library that provides text-boxes, lists, etc.)
that sists directly on top of the Linux FrameBuffer device. It was
developed for, and is currently only used by, Aurora (A graphical
front-end to the boot process). Install WsLib if you plan to use
Aurora or any other WsLib program.

%prep

%setup -q -n WsLib

%patch -p1

%build
make prefix=$RPM_BUILD_ROOT/%{prefix}

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.WsLib

%files
%attr(-,root,root) %dir         %{prefix}/include/ws
%attr(-,root,root)		%{prefix}/include/ws/*
%attr(-,root,root)		%{prefix}/lib/libws.a
%attr(-,root,root)		%{prefix}/bin/bdf2h
%attr(-,root,root) %doc %dir	%{prefix}/doc/WsLib
%attr(-,root,root) %doc		%{prefix}/doc/WsLib/*


%changelog
* Sat Apr 14 2001 Warly <warly@mandrakesoft.com> 7.2-173mdk
- bdf2h take 256 chars and not 128



* Fri Mar 23 2001 RedHog <redhog@mandrakesoft.com> 7.2-172mdk
- Last release had conflicting release number with last release due to
  me forgetting some thing sometime... So here's the same again, but
  with a valid release-number...

* Fri Mar 23 2001 RedHog <redhog@mandrakesoft.com> 7.2-171mdk
- Changed the way updates are done, enabling several updates to be
  done simultaneously...
- Slight API changes
- Made main possible to use without mouse.
- Change to the build structure to the same one as Aurora, that is,
  with a nice unified version-handling script.
- Changes to allow click-sensing, not just mouse-down.



* Tue Sep 19 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-11mdk
- Bugfixes for some stupid bugs and support for M$ mices.

* Mon Sep 18 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-10mdk
- Text gfx bugfix.

* Fri Sep 15 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-9mdk
- Bugfix for the mouse-trace/shade problem...

* Fri Sep 15 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-8mdk
- Bugfix for scrolling/moving of Box:es

* Wed Sep 13 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-7mdk
- A whole bounch of bugfixes... Some for really nasty bugs...

* Fri Sep 08 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-6mdk
- Cleanup of the Bin-mess: Bin is now an abstract class, inherited by
  Sensor, Frame and Input. The old widget Bin have been renamed to
  Frame.

* Mon Sep 04 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-5mdk
- Do I have to say "Oups"?

* Mon Sep 04 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-4mdk
- Changes to where rgbdb is grabbed from...

* Fri Sep 01 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-3mdk
- Smaller rpmlint-happifiers :)

* Mon Aug 31 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> redhog.1-0mdk
- Initial kenobi-compilation...

